libqalculate-2.2.0: PlotParameters Struct Reference

libqalculate-2.2.0

Public Attributes | List of all members
PlotParameters Struct Reference

Parameters passed to plotting functions. More...

`#include <Calculator.h>`

## Public Attributes
string | title
| Title label.
string | y_label
| Y-axis label.
string | x_label
| X-axis label.
string | filename
| Image to save plot to. If empty shows plot in a window on the screen.
PlotFileType | filetype
| The image type to save as. Set to PLOT_FILETYPE_AUTO to guess from file extension.
string | font
| Font used for text.
bool | color
| Set to true for colored plot, false for monochrome. Default: true.
bool | auto_y_min
| If the minimum y-axis value shall be set automatically (otherwise uses y_min). Default: true.
bool | auto_x_min
| If the minimum x-axis value shall be set automatically (otherwise uses x_min). Default: true.
bool | auto_y_max
| If the maximum y-axis value shall be set automatically (otherwise uses y_max). Default: true.
bool | auto_x_max
| If the maximum x-axis value shall be set automatically (otherwise uses x_max). Default: true.
float | y_min
| Minimum y-axis value.
float | x_min
| Minimum x-axis value.
float | y_max
| Maximum y-axis value.
float | x_max
| Maximum x-axis value.
bool | y_log
| If a logarithimic scale shall be used for the y-axis. Default: false.
bool | x_log
| If a logarithimic scale shall be used for the x-axis. Default: false.
int | y_log_base
| Logarithimic base for the y-axis. Default: 10.
int | x_log_base
| Logarithimic base for the x-axis. Default: 10.
bool | grid
| If a grid shall be shown in the plot. Default: false.
int | linewidth
| Width of lines. Default: 2.
bool | show_all_borders
| If the plot shall be surrounded by borders on all sides (not just axis). Default: false.
PlotLegendPlacement | legend_placement
| Where the plot legend shall be placed. Default: PLOT_LEGEND_TOP_RIGHT.

## Detailed Description

Parameters passed to plotting functions.

The documentation for this struct was generated from the following file:

- libqalculate/Calculator.h